Subject: Re: bug#45625: C-p (previous-line) now wipes out windows, if misaimed

From: Richard Stallman <[email-masked]>
Date: Mon, 04 Jan 2021 00:16:15 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Just the other day I noticed windows disappearing. It turns out that
  > > "ESC ESC ESC" has been made even more super powered, by adding "or go
  > > back to just one window (by deleting all but the selected window)" to
  > > the many things it does.

  > This functionality has been present since keyboard-escape-quit was
  > introduced in 1994 (commit c66587feff67603818ea49fe4b7bfafe77a93e89,
  > Emacs 19.29).

The reason we did this is that some beginners made two windows and
didn't understand why the screen was split.  They also did not
understand how to get "out" of that "mode".  So we set up ESC ESC ESC
to "get you out of anything" in Emacs, including the split screen.

Jidanni, we could add an option to tell ESC ESC ESC not to mess with
the window layout, for users who do know the C-x 1 command.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)